/*
 ============================================================================
 Name        : ArraysSolution.c
 Author      : Curt Clifton, Feb. 1, 2008. modified by Matt Boutell.
 Version     :
 Copyright   : Rose-Hulman, 2008
 Description :  Sample code for arrays in C.
 ============================================================================
 */
#include <stdio.h>
#include <stdlib.h>

void readScores(int a[], int size) {
	/* Prompts the user for size different integers and stores them in a[]. */
	// DONE: implement readScores
	printf("Please enter %d scores as integers.\n", size);
	int i;
	for (i=0; i<size; i++) {
		printf("Please enter score %d: ", i+1);
		fflush(stdout);
		scanf("%d", &a[i]);
	}
}

void printArray(int a[], int size) {
	/* Prints out the first size elements of a, one per line. */
	int i;
	printf("------------\n");
	for (i=0; i<size; i++) {
		printf("%12d\n", a[i]);
	}
	printf("------------\n");
}

int main(){
	int size = 4;
	// DONE: declare a variable, scores, to store an array of size ints
	int scores[size];
	readScores(scores, size);
	printArray(scores, size);
	return EXIT_SUCCESS;
}
